diff options
author | Paul Smith <psmith@gnu.org> | 2010-08-29 23:05:26 +0000 |
---|---|---|
committer | Paul Smith <psmith@gnu.org> | 2010-08-29 23:05:26 +0000 |
commit | a86d1693bac05e04f90a2ee3c4fa3547c788377c (patch) | |
tree | e26687d523ee3e243ca9f0b0dc6a2f4d57321919 /tests/scripts/features | |
parent | 3b1432d86aebdc48aaa52efa06fad1ad662b38d7 (diff) | |
download | gunmake-a86d1693bac05e04f90a2ee3c4fa3547c788377c.tar.gz |
Bump the version to 3.82.90.
Fix some doc bugs.
Implement the --trace flag.
Show filename/linenumber on error.
Diffstat (limited to 'tests/scripts/features')
-rw-r--r-- | tests/scripts/features/errors | 19 | ||||
-rw-r--r-- | tests/scripts/features/parallelism | 7 | ||||
-rw-r--r-- | tests/scripts/features/patternrules | 3 | ||||
-rw-r--r-- | tests/scripts/features/vpathplus | 1 |
4 files changed, 19 insertions, 11 deletions
diff --git a/tests/scripts/features/errors b/tests/scripts/features/errors index e372fe0..1e4be46 100644 --- a/tests/scripts/features/errors +++ b/tests/scripts/features/errors @@ -42,15 +42,17 @@ close(MAKEFILE); unlink("cleanit"); $cleanit_error = `sh -c "$rm_command cleanit 2>&1"`; +chomp $cleanit_error; $delete_error_code = $? >> 8; # TEST #1 # ------- -$answer = "$rm_command cleanit\n" - . $cleanit_error - ."$make_name: [clean] Error $delete_error_code (ignored)\n" - ."$rm_command foo\n"; +$answer = "$rm_command cleanit +$cleanit_error +$makefile:2: recipe for target `clean' failed +$make_name: [clean] Error $delete_error_code (ignored) +$rm_command foo\n"; &run_make_with_options($makefile,"",&get_logfile); @@ -74,10 +76,11 @@ if (!$vos) # TEST #2 # ------- -$answer = "$rm_command cleanit\n" - . $cleanit_error - ."$make_name: [clean2] Error $delete_error_code (ignored)\n" - ."$rm_command foo\n"; +$answer = "$rm_command cleanit +$cleanit_error +$makefile:5: recipe for target `clean2' failed +$make_name: [clean2] Error $delete_error_code (ignored) +$rm_command foo\n"; &run_make_with_options($makefile,"clean2 -i",&get_logfile); diff --git a/tests/scripts/features/parallelism b/tests/scripts/features/parallelism index cc0f84f..22e4aeb 100644 --- a/tests/scripts/features/parallelism +++ b/tests/scripts/features/parallelism @@ -98,14 +98,17 @@ fail.1 fail.2 fail.3: ok: \@sleep 4 \@echo Ok done", - '-rR -j5', 'Fail + '-rR -j5', "Fail +#MAKEFILE#:6: recipe for target `fail.1' failed #MAKE#: *** [fail.1] Error 1 #MAKE#: *** Waiting for unfinished jobs.... Fail +#MAKEFILE#:6: recipe for target `fail.2' failed #MAKE#: *** [fail.2] Error 1 Fail +#MAKEFILE#:6: recipe for target `fail.3' failed #MAKE#: *** [fail.3] Error 1 -Ok done', +Ok done", 512); diff --git a/tests/scripts/features/patternrules b/tests/scripts/features/patternrules index eebe7c0..5cc6b94 100644 --- a/tests/scripts/features/patternrules +++ b/tests/scripts/features/patternrules @@ -110,7 +110,8 @@ $(dir)/foo.bar: ', "dir=$dir", -"#MAKE#: *** [$dir/foo.bar] Error 1", +"#MAKEFILE#:6: recipe for target `$dir/foo.bar' failed +#MAKE#: *** [$dir/foo.bar] Error 1", 512); unlink("$dir/foo.bar"); diff --git a/tests/scripts/features/vpathplus b/tests/scripts/features/vpathplus index a37fbed..c95c8ab 100644 --- a/tests/scripts/features/vpathplus +++ b/tests/scripts/features/vpathplus @@ -86,6 +86,7 @@ cat ${VP}foo.c bar.c > foo.b 2>/dev/null || exit 1 $answer = "not creating notarget.c from notarget.d cat notarget.c > notarget.b 2>/dev/null || exit 1 +$makefile:16: recipe for target `notarget.b' failed $make_name: *** [notarget.b] Error 1 "; |